|
||||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||||
java.lang.Objectorg.talika.tarsis.filters.security.LoginSession
Object used to store login data during login process.
| Constructor Summary | |
|---|---|
LoginSession(javax.servlet.http.HttpServletRequest request)
Creates a new LoginSession. |
|
| Method Summary | |
|---|---|
java.util.Map |
getAttributes()
Returns original client's request attributes. |
java.util.Map |
getParameters()
Returns original client's request parameters. |
int |
getTries()
Return number of login tries. |
void |
incTries()
Increments number of login tries. |
void |
valueBound(javax.servlet.http.HttpSessionBindingEvent httpSessionBindingEvent)
Notifies the object that it is being bound to a session and identifies the session. |
void |
valueUnbound(javax.servlet.http.HttpSessionBindingEvent httpSessionBindingEvent)
Notifies the object that it is being unbound from a session and identifies the session. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public LoginSession(javax.servlet.http.HttpServletRequest request)
LoginSession. It saves attributes and parameters
from original request to resume it later.
request - HttpServletRequest original request.| Method Detail |
public java.util.Map getParameters()
public java.util.Map getAttributes()
public void incTries()
public int getTries()
public void valueBound(javax.servlet.http.HttpSessionBindingEvent httpSessionBindingEvent)
valueBound in interface javax.servlet.http.HttpSessionBindingListenerhttpSessionBindingEvent - HttpSessionBindingEvent the event that
identifies the session.HttpSessionBindingListener.valueBound(HttpSessionBindingEvent)public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent httpSessionBindingEvent)
valueUnbound in interface javax.servlet.http.HttpSessionBindingListenerhttpSessionBindingEvent - HttpSessionBindingEvent the event that
identifies the session.HttpSessionBindingListener.valueUnbound(HttpSessionBindingEvent)
|
||||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||||